Bug 866123 - (events_from_plugins) PRD32 - RFE: Allow plugins to add events into the engine's event log
PRD32 - RFE: Allow plugins to add events into the engine's event log
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
3.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.2.0
Assigned To: Eli Mesika
Elena
infra
: FutureFeature
: custom_events (view as bug list)
Depends On: custom_events
Blocks: 862609 883883 915537
  Show dependency treegraph
 
Reported: 2012-10-14 03:07 EDT by James Rankin
Modified: 2016-02-10 14:27 EST (History)
19 users (show)

See Also:
Fixed In Version: SF3
Doc Type: Release Note
Doc Text:
The REST API and SDK now include a set of API that allows users to inject events into the Red Hat Enterprise Virtualization Manager event log. This feature can be used by the API user to sync the logging of external events triggered by user applications into the event log.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-10 17:12:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
dyasny: Triaged+


Attachments (Terms of Use)

  None (edit)
Description James Rankin 2012-10-14 03:07:22 EDT
The following feature request is needed to support an HP plugin for RHEV-M:


- Add events into the ovirt-engine’s event log.

   - Preferably, there should be a schema for what those events look like, which entity they refer to and an understood mechanism for adding data about the event that isn’t a standard part of the schema (e.g. Fan in bay X failed).


Steve - please provide any additional requirements/details here.
Comment 1 Barak 2012-10-28 06:54:45 EDT
planning to add external event through restAPI, adding 1 general eventID to be used in those cases.
need also to handle appropriate permission/role
Comment 2 Barak 2012-12-16 12:36:03 EST
this RFE involves 9 patches.

the top (chained) patch is http://gerrit.ovirt.org/#/c/10097/ (89->97)
Comment 3 Barak 2012-12-16 12:45:30 EST
*** Bug 873223 has been marked as a duplicate of this bug. ***
Comment 4 Eli Mesika 2012-12-30 10:31:02 EST
fixed in commits:
b4cd572
5aedb99
50e8886
ecd7658
fcb40bc
67ccb20
ff90975
87d8512
0e7fab5
Comment 5 Elena 2013-02-14 04:24:12 EST
Verified in sf6: creation of new events (general and for specific instances), deletion of alerts
Comment 7 errata-xmlrpc 2013-06-10 17:12:21 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0888.html

Note You need to log in before you can comment on or make changes to this bug.